import {
  createPageContext,
  createSearchContext,
  createTableSearchContext,
} from '@hooks';
import {GetMenuListParams, OriginalListParams} from '@models';

export const contextState: OriginalListParams<GetMenuListParams> = {
  name: '',
  pId: '0',
  modifyUser: '',
};
export const context = createTableSearchContext(contextState);

export const pageContext = createPageContext();
export const searchContext = createSearchContext();
